/* Map table, this stores all of our map information */
CREATE TABLE map (
`id` INT NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 100 ) NOT NULL ,
`depth` INT NOT NULL ,
UNIQUE (`id`)
) TYPE = MYISAM;

/* Now we create our map data table */
 CREATE TABLE  mapdata (
`id` INT NOT NULL AUTO_INCREMENT ,
`mapid` INT NOT NULL ,
`x` INT NOT NULL ,
`y` INT NOT NULL ,
`z` INT NOT NULL ,
`value` CHAR( 1 ) NOT NULL ,
UNIQUE (`id`)
) TYPE = MYISAM;

/* Let's insert a map */
INSERT INTO map (`id`, `name`, `depth`) VALUES(1, 'Round Hill', 5);

/* And some values for the different map levels */
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1, 1, 0, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(2, 1, 0, 1, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(3, 1, 0, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(4, 1, 0, 3, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(5, 1, 0, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(6, 1, 0, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(7, 1, 0, 6, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(8, 1, 0, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(9, 1, 0, 8, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(10, 1, 0, 9, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(11, 1, 0, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(12, 1, 0, 11, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(13, 1, 0, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(14, 1, 0, 13, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(15, 1, 0, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(16, 1, 1, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(17, 1, 1, 1, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(18, 1, 1, 2, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(19, 1, 1, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(20, 1, 1, 4, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(21, 1, 1, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(22, 1, 1, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(23, 1, 1, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(24, 1, 1, 8, 1, 'T');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(25, 1, 1, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(26, 1, 1, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(27, 1, 1, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(28, 1, 1, 12, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(29, 1, 1, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(30, 1, 1, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(31, 1, 2, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(32, 1, 2, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(33, 1, 2, 2, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(34, 1, 2, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(35, 1, 2, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(36, 1, 2, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(37, 1, 2, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(38, 1, 2, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(39, 1, 2, 8, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(40, 1, 2, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(41, 1, 2, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(42, 1, 2, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(43, 1, 2, 12, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(44, 1, 2, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(45, 1, 2, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(46, 1, 3, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(47, 1, 3, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(48, 1, 3, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(49, 1, 3, 3, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(50, 1, 3, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(51, 1, 3, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(52, 1, 3, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(53, 1, 3, 7, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(54, 1, 3, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(55, 1, 3, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(56, 1, 3, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(57, 1, 3, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(58, 1, 3, 12, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(59, 1, 3, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(60, 1, 3, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(61, 1, 4, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(62, 1, 4, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(63, 1, 4, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(64, 1, 4, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(65, 1, 4, 4, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(66, 1, 4, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(67, 1, 4, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(68, 1, 4, 7, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(69, 1, 4, 8, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(70, 1, 4, 9, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(71, 1, 4, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(72, 1, 4, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(73, 1, 4, 12, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(74, 1, 4, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(75, 1, 4, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(76, 1, 5, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(77, 1, 5, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(78, 1, 5, 2, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(79, 1, 5, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(80, 1, 5, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(81, 1, 5, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(82, 1, 5, 6, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(83, 1, 5, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(84, 1, 5, 8, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(85, 1, 5, 9, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(86, 1, 5, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(87, 1, 5, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(88, 1, 5, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(89, 1, 5, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(90, 1, 5, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(91, 1, 6, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(92, 1, 6, 1, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(93, 1, 6, 2, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(94, 1, 6, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(95, 1, 6, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(96, 1, 6, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(97, 1, 6, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(98, 1, 6, 7, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(99, 1, 6, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(100, 1, 6, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(101, 1, 6, 10, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(102, 1, 6, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(103, 1, 6, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(104, 1, 6, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(105, 1, 6, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(106, 1, 7, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(107, 1, 7, 1, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(108, 1, 7, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(109, 1, 7, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(110, 1, 7, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(111, 1, 7, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(112, 1, 7, 6, 1, 'S');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(113, 1, 7, 7, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(114, 1, 7, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(115, 1, 7, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(116, 1, 7, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(117, 1, 7, 11, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(118, 1, 7, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(119, 1, 7, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(120, 1, 7, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(121, 1, 8, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(122, 1, 8, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(123, 1, 8, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(124, 1, 8, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(125, 1, 8, 4, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(126, 1, 8, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(127, 1, 8, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(128, 1, 8, 7, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(129, 1, 8, 8, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(130, 1, 8, 9, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(131, 1, 8, 10, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(132, 1, 8, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(133, 1, 8, 12, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(134, 1, 8, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(135, 1, 8, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(136, 1, 9, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(137, 1, 9, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(138, 1, 9, 2, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(139, 1, 9, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(140, 1, 9, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(141, 1, 9, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(142, 1, 9, 6, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(143, 1, 9, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(144, 1, 9, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(145, 1, 9, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(146, 1, 9, 10, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(147, 1, 9, 11, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(148, 1, 9, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(149, 1, 9, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(150, 1, 9, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(151, 1, 10, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(152, 1, 10, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(153, 1, 10, 2, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(154, 1, 10, 3, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(155, 1, 10, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(156, 1, 10, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(157, 1, 10, 6, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(158, 1, 10, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(159, 1, 10, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(160, 1, 10, 9, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(161, 1, 10, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(162, 1, 10, 11, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(163, 1, 10, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(164, 1, 10, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(165, 1, 10, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(166, 1, 11, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(167, 1, 11, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(168, 1, 11, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(169, 1, 11, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(170, 1, 11, 4, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(171, 1, 11, 5, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(172, 1, 11, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(173, 1, 11, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(174, 1, 11, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(175, 1, 11, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(176, 1, 11, 10, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(177, 1, 11, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(178, 1, 11, 12, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(179, 1, 11, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(180, 1, 11, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(181, 1, 12, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(182, 1, 12, 1, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(183, 1, 12, 2, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(184, 1, 12, 3, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(185, 1, 12, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(186, 1, 12, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(187, 1, 12, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(188, 1, 12, 7, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(189, 1, 12, 8, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(190, 1, 12, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(191, 1, 12, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(192, 1, 12, 11, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(193, 1, 12, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(194, 1, 12, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(195, 1, 12, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(196, 1, 13, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(197, 1, 13, 1, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(198, 1, 13, 2, 1, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(199, 1, 13, 3, 1, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(200, 1, 13, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(201, 1, 13, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(202, 1, 13, 6, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(203, 1, 13, 7, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(204, 1, 13, 8, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(205, 1, 13, 9, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(206, 1, 13, 10, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(207, 1, 13, 11, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(208, 1, 13, 12, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(209, 1, 13, 13, 1, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(210, 1, 13, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(211, 1, 14, 0, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(212, 1, 14, 1, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(213, 1, 14, 2, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(214, 1, 14, 3, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(215, 1, 14, 4, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(216, 1, 14, 5, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(217, 1, 14, 6, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(218, 1, 14, 7, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(219, 1, 14, 8, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(220, 1, 14, 9, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(221, 1, 14, 10, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(222, 1, 14, 11, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(223, 1, 14, 12, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(224, 1, 14, 13, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(225, 1, 14, 14, 1, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(226, 1, 0, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(227, 1, 0, 1, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(228, 1, 0, 2, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(229, 1, 0, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(230, 1, 0, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(231, 1, 0, 5, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(232, 1, 0, 6, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(233, 1, 0, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(234, 1, 0, 8, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(235, 1, 0, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(236, 1, 0, 10, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(237, 1, 0, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(238, 1, 0, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(239, 1, 0, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(240, 1, 0, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(241, 1, 1, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(242, 1, 1, 1, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(243, 1, 1, 2, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(244, 1, 1, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(245, 1, 1, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(246, 1, 1, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(247, 1, 1, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(248, 1, 1, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(249, 1, 1, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(250, 1, 1, 9, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(251, 1, 1, 10, 2, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(252, 1, 1, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(253, 1, 1, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(254, 1, 1, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(255, 1, 1, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(256, 1, 2, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(257, 1, 2, 1, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(258, 1, 2, 2, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(259, 1, 2, 3, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(260, 1, 2, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(261, 1, 2, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(262, 1, 2, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(263, 1, 2, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(264, 1, 2, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(265, 1, 2, 9, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(266, 1, 2, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(267, 1, 2, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(268, 1, 2, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(269, 1, 2, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(270, 1, 2, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(271, 1, 3, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(272, 1, 3, 1, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(273, 1, 3, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(274, 1, 3, 3, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(275, 1, 3, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(276, 1, 3, 5, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(277, 1, 3, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(278, 1, 3, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(279, 1, 3, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(280, 1, 3, 9, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(281, 1, 3, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(282, 1, 3, 11, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(283, 1, 3, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(284, 1, 3, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(285, 1, 3, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(286, 1, 4, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(287, 1, 4, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(288, 1, 4, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(289, 1, 4, 3, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(290, 1, 4, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(291, 1, 4, 5, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(292, 1, 4, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(293, 1, 4, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(294, 1, 4, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(295, 1, 4, 9, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(296, 1, 4, 10, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(297, 1, 4, 11, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(298, 1, 4, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(299, 1, 4, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(300, 1, 4, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(301, 1, 5, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(302, 1, 5, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(303, 1, 5, 2, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(304, 1, 5, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(305, 1, 5, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(306, 1, 5, 5, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(307, 1, 5, 6, 2, 'S');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(308, 1, 5, 7, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(309, 1, 5, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(310, 1, 5, 9, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(311, 1, 5, 10, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(312, 1, 5, 11, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(313, 1, 5, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(314, 1, 5, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(315, 1, 5, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(316, 1, 6, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(317, 1, 6, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(318, 1, 6, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(319, 1, 6, 3, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(320, 1, 6, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(321, 1, 6, 5, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(322, 1, 6, 6, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(323, 1, 6, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(324, 1, 6, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(325, 1, 6, 9, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(326, 1, 6, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(327, 1, 6, 11, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(328, 1, 6, 12, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(329, 1, 6, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(330, 1, 6, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(331, 1, 7, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(332, 1, 7, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(333, 1, 7, 2, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(334, 1, 7, 3, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(335, 1, 7, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(336, 1, 7, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(337, 1, 7, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(338, 1, 7, 7, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(339, 1, 7, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(340, 1, 7, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(341, 1, 7, 10, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(342, 1, 7, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(343, 1, 7, 12, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(344, 1, 7, 13, 2, 'T');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(345, 1, 7, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(346, 1, 8, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(347, 1, 8, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(348, 1, 8, 2, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(349, 1, 8, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(350, 1, 8, 4, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(351, 1, 8, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(352, 1, 8, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(353, 1, 8, 7, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(354, 1, 8, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(355, 1, 8, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(356, 1, 8, 10, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(357, 1, 8, 11, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(358, 1, 8, 12, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(359, 1, 8, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(360, 1, 8, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(361, 1, 9, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(362, 1, 9, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(363, 1, 9, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(364, 1, 9, 3, 2, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(365, 1, 9, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(366, 1, 9, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(367, 1, 9, 6, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(368, 1, 9, 7, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(369, 1, 9, 8, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(370, 1, 9, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(371, 1, 9, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(372, 1, 9, 11, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(373, 1, 9, 12, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(374, 1, 9, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(375, 1, 9, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(376, 1, 10, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(377, 1, 10, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(378, 1, 10, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(379, 1, 10, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(380, 1, 10, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(381, 1, 10, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(382, 1, 10, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(383, 1, 10, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(384, 1, 10, 8, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(385, 1, 10, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(386, 1, 10, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(387, 1, 10, 11, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(388, 1, 10, 12, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(389, 1, 10, 13, 2, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(390, 1, 10, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(391, 1, 11, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(392, 1, 11, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(393, 1, 11, 2, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(394, 1, 11, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(395, 1, 11, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(396, 1, 11, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(397, 1, 11, 6, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(398, 1, 11, 7, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(399, 1, 11, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(400, 1, 11, 9, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(401, 1, 11, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(402, 1, 11, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(403, 1, 11, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(404, 1, 11, 13, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(405, 1, 11, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(406, 1, 12, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(407, 1, 12, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(408, 1, 12, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(409, 1, 12, 3, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(410, 1, 12, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(411, 1, 12, 5, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(412, 1, 12, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(413, 1, 12, 7, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(414, 1, 12, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(415, 1, 12, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(416, 1, 12, 10, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(417, 1, 12, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(418, 1, 12, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(419, 1, 12, 13, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(420, 1, 12, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(421, 1, 13, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(422, 1, 13, 1, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(423, 1, 13, 2, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(424, 1, 13, 3, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(425, 1, 13, 4, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(426, 1, 13, 5, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(427, 1, 13, 6, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(428, 1, 13, 7, 2, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(429, 1, 13, 8, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(430, 1, 13, 9, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(431, 1, 13, 10, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(432, 1, 13, 11, 2, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(433, 1, 13, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(434, 1, 13, 13, 2, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(435, 1, 13, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(436, 1, 14, 0, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(437, 1, 14, 1, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(438, 1, 14, 2, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(439, 1, 14, 3, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(440, 1, 14, 4, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(441, 1, 14, 5, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(442, 1, 14, 6, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(443, 1, 14, 7, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(444, 1, 14, 8, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(445, 1, 14, 9, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(446, 1, 14, 10, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(447, 1, 14, 11, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(448, 1, 14, 12, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(449, 1, 14, 13, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(450, 1, 14, 14, 2, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(451, 1, 0, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(452, 1, 0, 1, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(453, 1, 0, 2, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(454, 1, 0, 3, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(455, 1, 0, 4, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(456, 1, 0, 5, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(457, 1, 0, 6, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(458, 1, 0, 7, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(459, 1, 0, 8, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(460, 1, 0, 9, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(461, 1, 0, 10, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(462, 1, 0, 11, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(463, 1, 0, 12, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(464, 1, 0, 13, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(465, 1, 0, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(466, 1, 1, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(467, 1, 1, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(468, 1, 1, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(469, 1, 1, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(470, 1, 1, 4, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(471, 1, 1, 5, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(472, 1, 1, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(473, 1, 1, 7, 3, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(474, 1, 1, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(475, 1, 1, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(476, 1, 1, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(477, 1, 1, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(478, 1, 1, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(479, 1, 1, 13, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(480, 1, 1, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(481, 1, 2, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(482, 1, 2, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(483, 1, 2, 2, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(484, 1, 2, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(485, 1, 2, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(486, 1, 2, 5, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(487, 1, 2, 6, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(488, 1, 2, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(489, 1, 2, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(490, 1, 2, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(491, 1, 2, 10, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(492, 1, 2, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(493, 1, 2, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(494, 1, 2, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(495, 1, 2, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(496, 1, 3, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(497, 1, 3, 1, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(498, 1, 3, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(499, 1, 3, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(500, 1, 3, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(501, 1, 3, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(502, 1, 3, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(503, 1, 3, 7, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(504, 1, 3, 8, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(505, 1, 3, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(506, 1, 3, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(507, 1, 3, 11, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(508, 1, 3, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(509, 1, 3, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(510, 1, 3, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(511, 1, 4, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(512, 1, 4, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(513, 1, 4, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(514, 1, 4, 3, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(515, 1, 4, 4, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(516, 1, 4, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(517, 1, 4, 6, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(518, 1, 4, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(519, 1, 4, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(520, 1, 4, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(521, 1, 4, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(522, 1, 4, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(523, 1, 4, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(524, 1, 4, 13, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(525, 1, 4, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(526, 1, 5, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(527, 1, 5, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(528, 1, 5, 2, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(529, 1, 5, 3, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(530, 1, 5, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(531, 1, 5, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(532, 1, 5, 6, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(533, 1, 5, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(534, 1, 5, 8, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(535, 1, 5, 9, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(536, 1, 5, 10, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(537, 1, 5, 11, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(538, 1, 5, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(539, 1, 5, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(540, 1, 5, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(541, 1, 6, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(542, 1, 6, 1, 3, 'S');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(543, 1, 6, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(544, 1, 6, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(545, 1, 6, 4, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(546, 1, 6, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(547, 1, 6, 6, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(548, 1, 6, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(549, 1, 6, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(550, 1, 6, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(551, 1, 6, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(552, 1, 6, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(553, 1, 6, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(554, 1, 6, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(555, 1, 6, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(556, 1, 7, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(557, 1, 7, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(558, 1, 7, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(559, 1, 7, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(560, 1, 7, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(561, 1, 7, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(562, 1, 7, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(563, 1, 7, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(564, 1, 7, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(565, 1, 7, 9, 3, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(566, 1, 7, 10, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(567, 1, 7, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(568, 1, 7, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(569, 1, 7, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(570, 1, 7, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(571, 1, 8, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(572, 1, 8, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(573, 1, 8, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(574, 1, 8, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(575, 1, 8, 4, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(576, 1, 8, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(577, 1, 8, 6, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(578, 1, 8, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(579, 1, 8, 8, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(580, 1, 8, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(581, 1, 8, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(582, 1, 8, 11, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(583, 1, 8, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(584, 1, 8, 13, 3, 'T');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(585, 1, 8, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(586, 1, 9, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(587, 1, 9, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(588, 1, 9, 2, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(589, 1, 9, 3, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(590, 1, 9, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(591, 1, 9, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(592, 1, 9, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(593, 1, 9, 7, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(594, 1, 9, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(595, 1, 9, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(596, 1, 9, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(597, 1, 9, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(598, 1, 9, 12, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(599, 1, 9, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(600, 1, 9, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(601, 1, 10, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(602, 1, 10, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(603, 1, 10, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(604, 1, 10, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(605, 1, 10, 4, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(606, 1, 10, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(607, 1, 10, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(608, 1, 10, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(609, 1, 10, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(610, 1, 10, 9, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(611, 1, 10, 10, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(612, 1, 10, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(613, 1, 10, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(614, 1, 10, 13, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(615, 1, 10, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(616, 1, 11, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(617, 1, 11, 1, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(618, 1, 11, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(619, 1, 11, 3, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(620, 1, 11, 4, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(621, 1, 11, 5, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(622, 1, 11, 6, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(623, 1, 11, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(624, 1, 11, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(625, 1, 11, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(626, 1, 11, 10, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(627, 1, 11, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(628, 1, 11, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(629, 1, 11, 13, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(630, 1, 11, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(631, 1, 12, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(632, 1, 12, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(633, 1, 12, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(634, 1, 12, 3, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(635, 1, 12, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(636, 1, 12, 5, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(637, 1, 12, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(638, 1, 12, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(639, 1, 12, 8, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(640, 1, 12, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(641, 1, 12, 10, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(642, 1, 12, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(643, 1, 12, 12, 3, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(644, 1, 12, 13, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(645, 1, 12, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(646, 1, 13, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(647, 1, 13, 1, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(648, 1, 13, 2, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(649, 1, 13, 3, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(650, 1, 13, 4, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(651, 1, 13, 5, 3, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(652, 1, 13, 6, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(653, 1, 13, 7, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(654, 1, 13, 8, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(655, 1, 13, 9, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(656, 1, 13, 10, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(657, 1, 13, 11, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(658, 1, 13, 12, 3, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(659, 1, 13, 13, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(660, 1, 13, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(661, 1, 14, 0, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(662, 1, 14, 1, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(663, 1, 14, 2, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(664, 1, 14, 3, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(665, 1, 14, 4, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(666, 1, 14, 5, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(667, 1, 14, 6, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(668, 1, 14, 7, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(669, 1, 14, 8, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(670, 1, 14, 9, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(671, 1, 14, 10, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(672, 1, 14, 11, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(673, 1, 14, 12, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(674, 1, 14, 13, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(675, 1, 14, 14, 3, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(676, 1, 0, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(677, 1, 0, 1, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(678, 1, 0, 2, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(679, 1, 0, 3, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(680, 1, 0, 4, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(681, 1, 0, 5, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(682, 1, 0, 6, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(683, 1, 0, 7, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(684, 1, 0, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(685, 1, 0, 9, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(686, 1, 0, 10, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(687, 1, 0, 11, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(688, 1, 0, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(689, 1, 0, 13, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(690, 1, 0, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(691, 1, 1, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(692, 1, 1, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(693, 1, 1, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(694, 1, 1, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(695, 1, 1, 4, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(696, 1, 1, 5, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(697, 1, 1, 6, 4, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(698, 1, 1, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(699, 1, 1, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(700, 1, 1, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(701, 1, 1, 10, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(702, 1, 1, 11, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(703, 1, 1, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(704, 1, 1, 13, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(705, 1, 1, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(706, 1, 2, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(707, 1, 2, 1, 4, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(708, 1, 2, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(709, 1, 2, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(710, 1, 2, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(711, 1, 2, 5, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(712, 1, 2, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(713, 1, 2, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(714, 1, 2, 8, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(715, 1, 2, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(716, 1, 2, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(717, 1, 2, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(718, 1, 2, 12, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(719, 1, 2, 13, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(720, 1, 2, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(721, 1, 3, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(722, 1, 3, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(723, 1, 3, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(724, 1, 3, 3, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(725, 1, 3, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(726, 1, 3, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(727, 1, 3, 6, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(728, 1, 3, 7, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(729, 1, 3, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(730, 1, 3, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(731, 1, 3, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(732, 1, 3, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(733, 1, 3, 12, 4, 'T');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(734, 1, 3, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(735, 1, 3, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(736, 1, 4, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(737, 1, 4, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(738, 1, 4, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(739, 1, 4, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(740, 1, 4, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(741, 1, 4, 5, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(742, 1, 4, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(743, 1, 4, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(744, 1, 4, 8, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(745, 1, 4, 9, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(746, 1, 4, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(747, 1, 4, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(748, 1, 4, 12, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(749, 1, 4, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(750, 1, 4, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(751, 1, 5, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(752, 1, 5, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(753, 1, 5, 2, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(754, 1, 5, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(755, 1, 5, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(756, 1, 5, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(757, 1, 5, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(758, 1, 5, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(759, 1, 5, 8, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(760, 1, 5, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(761, 1, 5, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(762, 1, 5, 11, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(763, 1, 5, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(764, 1, 5, 13, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(765, 1, 5, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(766, 1, 6, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(767, 1, 6, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(768, 1, 6, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(769, 1, 6, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(770, 1, 6, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(771, 1, 6, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(772, 1, 6, 6, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(773, 1, 6, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(774, 1, 6, 8, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(775, 1, 6, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(776, 1, 6, 10, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(777, 1, 6, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(778, 1, 6, 12, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(779, 1, 6, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(780, 1, 6, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(781, 1, 7, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(782, 1, 7, 1, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(783, 1, 7, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(784, 1, 7, 3, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(785, 1, 7, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(786, 1, 7, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(787, 1, 7, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(788, 1, 7, 7, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(789, 1, 7, 8, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(790, 1, 7, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(791, 1, 7, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(792, 1, 7, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(793, 1, 7, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(794, 1, 7, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(795, 1, 7, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(796, 1, 8, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(797, 1, 8, 1, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(798, 1, 8, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(799, 1, 8, 3, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(800, 1, 8, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(801, 1, 8, 5, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(802, 1, 8, 6, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(803, 1, 8, 7, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(804, 1, 8, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(805, 1, 8, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(806, 1, 8, 10, 4, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(807, 1, 8, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(808, 1, 8, 12, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(809, 1, 8, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(810, 1, 8, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(811, 1, 9, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(812, 1, 9, 1, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(813, 1, 9, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(814, 1, 9, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(815, 1, 9, 4, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(816, 1, 9, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(817, 1, 9, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(818, 1, 9, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(819, 1, 9, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(820, 1, 9, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(821, 1, 9, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(822, 1, 9, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(823, 1, 9, 12, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(824, 1, 9, 13, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(825, 1, 9, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(826, 1, 10, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(827, 1, 10, 1, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(828, 1, 10, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(829, 1, 10, 3, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(830, 1, 10, 4, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(831, 1, 10, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(832, 1, 10, 6, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(833, 1, 10, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(834, 1, 10, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(835, 1, 10, 9, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(836, 1, 10, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(837, 1, 10, 11, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(838, 1, 10, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(839, 1, 10, 13, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(840, 1, 10, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(841, 1, 11, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(842, 1, 11, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(843, 1, 11, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(844, 1, 11, 3, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(845, 1, 11, 4, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(846, 1, 11, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(847, 1, 11, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(848, 1, 11, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(849, 1, 11, 8, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(850, 1, 11, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(851, 1, 11, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(852, 1, 11, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(853, 1, 11, 12, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(854, 1, 11, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(855, 1, 11, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(856, 1, 12, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(857, 1, 12, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(858, 1, 12, 2, 4, 'S');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(859, 1, 12, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(860, 1, 12, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(861, 1, 12, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(862, 1, 12, 6, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(863, 1, 12, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(864, 1, 12, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(865, 1, 12, 9, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(866, 1, 12, 10, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(867, 1, 12, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(868, 1, 12, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(869, 1, 12, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(870, 1, 12, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(871, 1, 13, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(872, 1, 13, 1, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(873, 1, 13, 2, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(874, 1, 13, 3, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(875, 1, 13, 4, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(876, 1, 13, 5, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(877, 1, 13, 6, 4, 'X');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(878, 1, 13, 7, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(879, 1, 13, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(880, 1, 13, 9, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(881, 1, 13, 10, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(882, 1, 13, 11, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(883, 1, 13, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(884, 1, 13, 13, 4, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(885, 1, 13, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(886, 1, 14, 0, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(887, 1, 14, 1, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(888, 1, 14, 2, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(889, 1, 14, 3, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(890, 1, 14, 4, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(891, 1, 14, 5, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(892, 1, 14, 6, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(893, 1, 14, 7, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(894, 1, 14, 8, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(895, 1, 14, 9, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(896, 1, 14, 10, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(897, 1, 14, 11, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(898, 1, 14, 12, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(899, 1, 14, 13, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(900, 1, 14, 14, 4, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(901, 1, 0, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(902, 1, 0, 1, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(903, 1, 0, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(904, 1, 0, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(905, 1, 0, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(906, 1, 0, 5, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(907, 1, 0, 6, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(908, 1, 0, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(909, 1, 0, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(910, 1, 0, 9, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(911, 1, 0, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(912, 1, 0, 11, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(913, 1, 0, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(914, 1, 0, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(915, 1, 0, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(916, 1, 1, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(917, 1, 1, 1, 5, 'T');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(918, 1, 1, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(919, 1, 1, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(920, 1, 1, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(921, 1, 1, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(922, 1, 1, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(923, 1, 1, 7, 5, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(924, 1, 1, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(925, 1, 1, 9, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(926, 1, 1, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(927, 1, 1, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(928, 1, 1, 12, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(929, 1, 1, 13, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(930, 1, 1, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(931, 1, 2, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(932, 1, 2, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(933, 1, 2, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(934, 1, 2, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(935, 1, 2, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(936, 1, 2, 5, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(937, 1, 2, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(938, 1, 2, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(939, 1, 2, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(940, 1, 2, 9, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(941, 1, 2, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(942, 1, 2, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(943, 1, 2, 12, 5, 'S');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(944, 1, 2, 13, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(945, 1, 2, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(946, 1, 3, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(947, 1, 3, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(948, 1, 3, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(949, 1, 3, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(950, 1, 3, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(951, 1, 3, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(952, 1, 3, 6, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(953, 1, 3, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(954, 1, 3, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(955, 1, 3, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(956, 1, 3, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(957, 1, 3, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(958, 1, 3, 12, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(959, 1, 3, 13, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(960, 1, 3, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(961, 1, 4, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(962, 1, 4, 1, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(963, 1, 4, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(964, 1, 4, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(965, 1, 4, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(966, 1, 4, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(967, 1, 4, 6, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(968, 1, 4, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(969, 1, 4, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(970, 1, 4, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(971, 1, 4, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(972, 1, 4, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(973, 1, 4, 12, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(974, 1, 4, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(975, 1, 4, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(976, 1, 5, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(977, 1, 5, 1, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(978, 1, 5, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(979, 1, 5, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(980, 1, 5, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(981, 1, 5, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(982, 1, 5, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(983, 1, 5, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(984, 1, 5, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(985, 1, 5, 9, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(986, 1, 5, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(987, 1, 5, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(988, 1, 5, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(989, 1, 5, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(990, 1, 5, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(991, 1, 6, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(992, 1, 6, 1, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(993, 1, 6, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(994, 1, 6, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(995, 1, 6, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(996, 1, 6, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(997, 1, 6, 6, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(998, 1, 6, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(999, 1, 6, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1000, 1, 6, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1001, 1, 6, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1002, 1, 6, 11, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1003, 1, 6, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1004, 1, 6, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1005, 1, 6, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1006, 1, 7, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1007, 1, 7, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1008, 1, 7, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1009, 1, 7, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1010, 1, 7, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1011, 1, 7, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1012, 1, 7, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1013, 1, 7, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1014, 1, 7, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1015, 1, 7, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1016, 1, 7, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1017, 1, 7, 11, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1018, 1, 7, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1019, 1, 7, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1020, 1, 7, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1021, 1, 8, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1022, 1, 8, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1023, 1, 8, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1024, 1, 8, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1025, 1, 8, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1026, 1, 8, 5, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1027, 1, 8, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1028, 1, 8, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1029, 1, 8, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1030, 1, 8, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1031, 1, 8, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1032, 1, 8, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1033, 1, 8, 12, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1034, 1, 8, 13, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1035, 1, 8, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1036, 1, 9, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1037, 1, 9, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1038, 1, 9, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1039, 1, 9, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1040, 1, 9, 4, 5, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1041, 1, 9, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1042, 1, 9, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1043, 1, 9, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1044, 1, 9, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1045, 1, 9, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1046, 1, 9, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1047, 1, 9, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1048, 1, 9, 12, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1049, 1, 9, 13, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1050, 1, 9, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1051, 1, 10, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1052, 1, 10, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1053, 1, 10, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1054, 1, 10, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1055, 1, 10, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1056, 1, 10, 5, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1057, 1, 10, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1058, 1, 10, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1059, 1, 10, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1060, 1, 10, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1061, 1, 10, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1062, 1, 10, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1063, 1, 10, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1064, 1, 10, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1065, 1, 10, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1066, 1, 11, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1067, 1, 11, 1, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1068, 1, 11, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1069, 1, 11, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1070, 1, 11, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1071, 1, 11, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1072, 1, 11, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1073, 1, 11, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1074, 1, 11, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1075, 1, 11, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1076, 1, 11, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1077, 1, 11, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1078, 1, 11, 12, 5, 'L');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1079, 1, 11, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1080, 1, 11, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1081, 1, 12, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1082, 1, 12, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1083, 1, 12, 2, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1084, 1, 12, 3, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1085, 1, 12, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1086, 1, 12, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1087, 1, 12, 6, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1088, 1, 12, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1089, 1, 12, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1090, 1, 12, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1091, 1, 12, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1092, 1, 12, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1093, 1, 12, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1094, 1, 12, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1095, 1, 12, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1096, 1, 13, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1097, 1, 13, 1, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1098, 1, 13, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1099, 1, 13, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1100, 1, 13, 4, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1101, 1, 13, 5, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1102, 1, 13, 6, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1103, 1, 13, 7, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1104, 1, 13, 8, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1105, 1, 13, 9, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1106, 1, 13, 10, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1107, 1, 13, 11, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1108, 1, 13, 12, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1109, 1, 13, 13, 5, 'E');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1110, 1, 13, 14, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1111, 1, 14, 0, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1112, 1, 14, 1, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1113, 1, 14, 2, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1114, 1, 14, 3, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1115, 1, 14, 4, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1116, 1, 14, 5, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1117, 1, 14, 6, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1118, 1, 14, 7, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1119, 1, 14, 8, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1120, 1, 14, 9, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1121, 1, 14, 10, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1122, 1, 14, 11, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1123, 1, 14, 12, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1124, 1, 14, 13, 5, 'W');
INSERT INTO `mapdata` (`id`, `mapid`, `x`, `y`, `z`, `value`) VALUES(1125, 1, 14, 14, 5, 'W');

INSERT INTO `character_types` (`id`, `name`, `minhealth`, `maxhealth`, `minspeed`, `maxspeed`, `minintelligence`, `maxintelligence`, `minstrength`, `maxstrength`, `minagility`, `maxagility`, `minmagic`, `maxmagic`) VALUES
(1, 'Human', 100, 100, 20, 60, 30, 85, 25, 60, 40, 90, 10, 65),
(2, 'Elf', 100, 100, 60, 100, 45, 90, 60, 90, 60, 100, 75, 100),
(3, 'Dwarf', 100, 100, 2, 35, 75, 100, 50, 100, 2, 50, 0, 45),
(4, 'Ogre', 100, 100, 5, 25, 5, 35, 85, 100, 5, 35, 0, 10);